<?php
namespace App\Test\TestCase\Model\Table;

use App\Model\Table\MonitoringsTable;
use Cake\ORM\TableRegistry;
use Cake\TestSuite\TestCase;

/**
 * App\Model\Table\MonitoringsTable Test Case
 */
class MonitoringsTableTest extends TestCase
{

    /**
     * Test subject
     *
     * @var \App\Model\Table\MonitoringsTable
     */
    public $Monitorings;

    /**
     * Fixtures
     *
     * @var array
     */
    public $fixtures = [
        'app.monitorings'
    ];

    /**
     * setUp method
     *
     * @return void
     */
    public function setUp()
    {
        parent::setUp();
        $config = TableRegistry::exists('Monitorings') ? [] : ['className' => 'App\Model\Table\MonitoringsTable'];
        $this->Monitorings = TableRegistry::get('Monitorings', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    public function tearDown()
    {
        unset($this->Monitorings);

        parent::tearDown();
    }

    /**
     * Test initialize method
     *
     * @return void
     */
    public function testInitialize()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test validationDefault method
     *
     * @return void
     */
    public function testValidationDefault()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
